/*****************************************************************************/
/*	apci32w.h																 */
/*																			 */
/*	apci-P32															 */
/*																			 */
/*	Copyright ADTEK SYSTEM SCIENCE Co.,Ltd.									 */
/*																			 */
/*****************************************************************************/

#ifndef __APCI32W_H__
#define __APCI32W_H__

#include "apci32.h"

#ifdef __cplusplus
extern "C"{
#endif

#define APCI32_DLL_NAME  _T("apci32.dll")	/* DLL */
#define APCI32_ERR_WRAPDLL ((DWORD)-1)		/* ׯ߰֐װ */

BOOL Apci32wDllOpen();						/* DLL ۰ */
BOOL Apci32wDllClose();						/* DLL ۰ */
BOOL Apci32wGetVersion(PDWORD pdwDllVersion, PDWORD pdwDriverVersion);	/* apci-P32 DLL,ײންޮݔԍ擾 */
BOOL Apci32wCreate(PWORD pwLogSlot);			/* Cӂapci-P32̎gp錾 */
BOOL Apci32wClose(WORD wLogSlot);				/* Cӂapci-P32̎gpJ */
BOOL Apci32wGetResource(WORD wLogSlot, PAPCI32R pResInfo);				/* ؿ擾 */
BOOL Apci32wInPort(WORD wLogSlot, DWORD dwLogPort, PBYTE pbInValue);		/* Cӂ߰Ăް */
DWORD Apci32wGetLastError(WORD wLogSlot);									/* apci-P32̴װ */
BOOL Apci32wGetSwitchValue(WORD wLogSlot, PDWORD pdwSwitchValue);			/* ۰ذ̒l擾 */

#ifdef __cplusplus
}
#endif

#endif /* __APCI32W_H__ */
