Attribute VB_Name = "apci32w"
'============================================================================
'   apci32w.bas
'
'   Copyright ADTEK SYSTEM SCIENCE Co.,Ltd.
'
'   V1.00 Date 1999/06/10
'
'============================================================================
Option Explicit
Declare Function LoadLibrary Lib "kernel32" Alias "LoadLibraryA" (ByVal lpLibFileName As String) As Long
Declare Function FreeLibrary Lib "kernel32" (ByVal hLibModule As Long) As Long
Declare Function GetProcAddress Lib "kernel32" (ByVal hModule As Long, ByVal lpProcName As String) As Long

Global Const APCI32_DLL_NAME = "apci32.dll" ' DLL
Global Const APCI32_ERR_WRAPDLL = -1          ' ׯ߰֐װ

Dim hDLL As Long                'DLLւ

'============================================================================
'     apci32.dll۰(۰ގʹװƂ)
'     
'  ߂l  True
'         s False
'============================================================================
Function Apci32wDllOpen() As Boolean
  Apci32wDllOpen = False
  If hDLL = 0 Then
    hDLL = LoadLibrary(APCI32_DLL_NAME)
    If hDLL <> 0 Then
      Apci32wDllOpen = Apci32wGetDllExportFunc()
      If Apci32wDllOpen <> True Then
        Apci32wDllClose     ' DLL֐擾ɎŝDLL۰
      End If
    End If
  End If
End Function
'============================================================================
'     apci32.dll۰(۰ގʹװƂ)
'     
'  ߂l  True
'         s False
'============================================================================
Function Apci32wDllClose() As Boolean
  Apci32wDllClose = False
  If hDLL <> 0 Then
    If FreeLibrary(hDLL) <> 0 Then
      hDLL = 0
      Apci32wDllClose = True
    End If
  End If
End Function
'============================================================================
'     aPCI-P32 DLL,޲ײްްޮݔԍ擾
'     pdwDllVersion    DLLްޮݔԍi[
'         pdwDriverVersion ޲ײްްޮݔԍi[
'  ߂l  True
'         s False
'============================================================================
Function Apci32wGetVersion(pdwDllVersion As Long, pdwDriverVersion As Long) As Boolean
  Apci32wGetVersion = False
  If hDLL <> 0 Then
    If Apci32GetVersion(pdwDllVersion, pdwDriverVersion) <> 0 Then
      Apci32wGetVersion = True
    End If
  End If
End Function
'============================================================================
'     aPCI-P32̔Cӂ޲̎gp錾
'     pwLogSlot  gp޲̘_ۯĔԍi[
'  ߂l  True
'         s False
'============================================================================
Function Apci32wCreate(pwLogSlot As Integer) As Boolean
  Apci32wCreate = False
  If hDLL <> 0 Then
    If Apci32Create(pwLogSlot) <> 0 Then
      Apci32wCreate = True
    End If
  End If
End Function
'============================================================================
'     aPCI-P32̔Cӂ޲̎gpJ
'     wLogSlot ޲̘_ۯĔԍ
'  ߂l  True
'         s False
'============================================================================
Function Apci32wClose(ByVal wLogSlot As Integer) As Boolean
  Apci32wClose = False
  If hDLL <> 0 Then
    If Apci32Close(wLogSlot) <> 0 Then
      Apci32wClose = True
    End If
  End If
End Function
'============================================================================
'     w޲ؿ擾
'     wLogSlot ؿ擾޲̘_ۯĔԍ
'         pResInfo ؿi[\
'  ߂l  True
'         s False
'============================================================================
Function Apci32wGetResource(ByVal wLogSlot As Integer, pResInfo As APCI32RESOURCE) As Boolean
  Apci32wGetResource = False
  If hDLL <> 0 Then
    If Apci32GetResource(wLogSlot, pResInfo) <> 0 Then
      Apci32wGetResource = True
    End If
  End If
End Function
'============================================================================
'     ۰ذ̒l擾
'     wLogSlot       ۰ذ̒l擾޲̘_ۯĔԍ
'         pdwSwitchValue ۰ذ̒li[
'  ߂l  True
'         s False
'============================================================================
Function Apci32wGetSwitchValue(ByVal wLogSlot As Integer, pdwSwitchValue As Long) As Boolean
  Apci32wGetSwitchValue = False
  If hDLL <> 0 Then
    If Apci32GetSwitchValue(wLogSlot, pdwSwitchValue) <> 0 Then
      Apci32wGetSwitchValue = True
    End If
  End If
End Function
'============================================================================
'     Cӂ߰Ăް
'     wLogSlot  ͂޲̘_ۯĔԍ
'         dwLogPort ͂_߰
'         pbInValue ްi[
'  ߂l  True
'         s False
'============================================================================
Function Apci32wInPort(ByVal wLogSlot As Integer, ByVal dwLogPort As Long, pbInValue As Byte) As Boolean
  Apci32wInPort = False
  If hDLL <> 0 Then
    If Apci32InPort(wLogSlot, dwLogPort, pbInValue) <> 0 Then
      Apci32wInPort = True
    End If
  End If
End Function
'============================================================================
'     aPCI-P32̴װ
'     wLogSlot  װ޲̘_ۯĔԍ
'  ߂l װ
'============================================================================
Function Apci32wGetLastError(ByVal wLogSlot As Integer) As Long
  If hDLL = 0 Then
    Apci32wGetLastError = APCI32_ERR_WRAPDLL
  Else
    Apci32wGetLastError = Apci32GetLastError(wLogSlot)
  End If
End Function
'---------------------------------------------------------------------------
'     DLL߰Ċ֐ڽ̎擾
'     
'  ߂l  True
'         s False
'---------------------------------------------------------------------------
Private Function Apci32wGetDllExportFunc() As Boolean
  Dim pFunc As Long
  Apci32wGetDllExportFunc = False
  ' Apci32GetVersion ̱ڽ擾
  pFunc = GetProcAddress(hDLL, "Apci32GetVersion")
  If pFunc = 0 Then Exit Function
  ' Apci32Create ̱ڽ擾
  pFunc = GetProcAddress(hDLL, "Apci32Create")
  If pFunc = 0 Then Exit Function
  ' Apci32Close ̱ڽ擾
  pFunc = GetProcAddress(hDLL, "Apci32Close")
  If pFunc = 0 Then Exit Function
  ' Apci32GetResource ̱ڽ擾
  pFunc = GetProcAddress(hDLL, "Apci32GetResource")
  If pFunc = 0 Then Exit Function
  ' Apci32InPort ̱ڽ擾
  pFunc = GetProcAddress(hDLL, "Apci32InPort")
  If pFunc = 0 Then Exit Function
  ' Apci32GetLastError ̱ڽ擾
  pFunc = GetProcAddress(hDLL, "Apci32GetLastError")
  If pFunc = 0 Then Exit Function
  ' Apci32GetSwitchValue ̱ڽ擾
  pFunc = GetProcAddress(hDLL, "Apci32GetSwitchValue")
  If pFunc = 0 Then Exit Function
  Apci32wGetDllExportFunc = True  ' SĂ DLL ߰Ċ֐ڽ擾
End Function



