/*==============================================================================
//	aPCI-P32 ٿ1															
//																				
//	Copyright ADTEK System Science Co.,Ltd.										
//																				
//	TvF																		
//	@aPCIײނ̻޽ٰ݂̱ڽ擾āA{ްނ̐ڑ󋵂\܂B	
//																				
//		EPCI BIOSްޮ														
//		EPnPײންޮ													
//		E޲ ID																
//		Eذ ް ڽ														
//		EI/O ް ڽ														
//		EIRQԍ																
//		EInterrupt Control Address߰											
//																				
//	@"apcictrl.c""sample1.c"߲/ݸĂgpB					
//																				
//		߲ٕ@F															
//		TC++4.0̏ꍇ	tcc -ml sample1.c apcictrl.c							
//		MS-C6.0̏ꍇ	cl /AL sample1.c apcictrl.c								
//																				
//	ӁF																		
//	@{۸тTC++4.0/MS-C6.0œmFsĂ܂Bׂ߲̑gp
//	̏ꍇͻ۸т̏CKvɂȂꍇ܂B						
//																				
//	@{۸тMS-DOSœ\Ȏşق𐶐łׂ߲ł̂ݺ߲		
//	\łB																	
//																				
//	{ްނAPIC21ްނł											
//																				
//==============================================================================*/

#include	<stdio.h>
#include	<stdlib.h>
#include	<dos.h>

#include	"apci32.h"


/*==============================================================================
//		ްޮݔԍ𕶎ɕϊ										
//		buff	ϊ߰ޯ̧ւ߲						
//			ver		ϊްޮݔԍ											
//==============================================================================*/
void GetVersionStr( char *buff, ushort ver )
{

	buff[0] = ( char )( ( ver >> 12 ) + '0' );
	if ( buff[0] == '0' )
		buff[0] = ' ';
	buff[1] = ( char )( ( ( ver >> 8 ) & 0xf ) + '0' );
	buff[2] = '.';
	buff[3] = ( char )( ( ( ver >> 4 ) & 0xf ) + '0' );
	buff[4] = ( char )( ( ver & 0xf ) + '0' );
	buff[5] = '\0';

}


/*==============================================================================
//		ײނ̏ʕ\											
//	߂l	PCI BIOS 		1 Ԃ										
//						װȂ	0 Ԃ										
//==============================================================================*/
ushort DispDriverVersion( void )
{

APCI_VER_RES	rsp;
char			szBuff[20];
ushort			result = 0;

	/*	ײނ̏Ԏ擾									*/
	if ( CMD_COMPLETE == ApciGetVersion( ( LPAPCI_VER_RES )&rsp ) ) {
		
		/*	PCI BIOSLްޮ݂\				*/
		if ( rsp.wPciBiosVersion != 0 ) {	
			GetVersionStr( szBuff, rsp.wPciBiosVersion );
			printf( "PCI BIOS ްޮ  %s\n", szBuff );
			result = 1;
		}
		
		/*	PnPײންޮ݂\					*/
		GetVersionStr( szBuff, rsp.wDriverVersion );
		printf( "aPCI ײް ްޮ %s\n", szBuff );
		
	}
	return result;

}


/*==============================================================================
//		ް޾ڸĔԍ̎擾													
//		Rsp		޲ݒ\߲̂									
//	߂l	ް޾ڸĔԍi0x0`0xfj											
//==============================================================================*/
uchar ApciGetSwitchValue( LPAPCI_FIND_RES Rsp )
{

uchar		cbBsn;

	cbBsn = ( uchar )inportb( Rsp->wIOPortBase + 0xf );
	cbBsn = cbBsn & 0xf;									/* Bit4Bit7Ͻ*/
	return cbBsn;

}


/*==============================================================================
//		PnPpޯ̧ rsp ײނ擾޲Ă			
//		wNum	_ۯĐ											
//	߂l	޲TRUEԂ											
//==============================================================================*/
boolean dispPciInfo( ushort wNum )
{

ushort				i;
APCI_FIND_RES		rsp;
APCI_GET_ADP_RES	adp;
ushort				retcode;

	for ( i = 0; i < wNum; i++ ) {
		
		/*	޲擾									*/
		retcode = ApciGetDeviceInfo( ( LPAPCI_FIND_RES )&rsp, APCI32_BOARD_ID, i );
		if ( retcode == CMD_COMPLETE ) {					/*	擾ł	*/
			printf( "\n_ۯĔԍ    = %d\n", i);			/*	\		*/
			printf( "޲ ID       = %04x\n", rsp.wDeviceID );
			if ( rsp.wNumMemWindows > 0 ) {
				printf( "ذ ް ڽ = %08lx\n", rsp.dMemBase );
			}
			if ( rsp.wNumIOPort > 0 ) {
				printf( "I/O ް ڽ  = %04x\n", rsp.wIOPortBase );
			}
			if ( rsp.wNumIRQs > 0 )
				printf( "IRQԍ         = %d\n", rsp.bIRQRegisters );
			printf( "ް޾ڸĔԍ   = %02x\n", ApciGetSwitchValue( &rsp ) );
		}
		else												/*	擾łȂ*/
			break;											/*	I		*/
		
		/*	Interrupt Control Address ߰ď擾			*/
		retcode = ApciGetAdapterInfo( ( LPAPCI_GET_ADP_RES )&adp, APCI32_BOARD_ID, i );
		if ( retcode == CMD_COMPLETE ) {					/*	擾ł	*/
			if ( adp.wNumIOPort != 0u )						/*	I/O߰ĂLΕ\	*/
				printf( "Interrupt Control Address = %04x\n", adp.wIOPortBase );
		}
		else												/*	擾łȂ*/
			break;											/*	I		*/
	}
	return ( i == 0 )?FALSE:TRUE;

}


/*==============================================================================
//	Ҳ																			
//==============================================================================*/
void main(void)
{

ushort		wNum;

	if ( ApciGetDriverFunc() != -1 ) {						/*	ذ擾		*/
		if ( ( wNum = DispDriverVersion() ) > 0 ) {			/*	ײްޮݕ\	*/
			dispPciInfo( APCI32_MAX_SLOTS );				/*	PnP\		*/
		}
		else if ( wNum == 0 ) {
			printf( "޲܂\n" );
		}
	}
	else {
		printf( "ײނ̴ذ擾ł܂ł\n" );
	}

}



